Bug 852851 - Review Request: jacorb - The Java implementation of the OMG's CORBA standard
Summary: Review Request: jacorb - The Java implementation of the OMG's CORBA standard
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Spaulding
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-29 19:08 UTC by Marek Goldmann
Modified: 2012-09-18 05:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-17 17:25:39 UTC
Type: ---
mspaulding06: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Marek Goldmann 2012-08-29 19:08:17 UTC
Spec URL: http://goldmann.fedorapeople.org/package_review/jacorb/2.3.1-1.20120215git/jacorb.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/jacorb/2.3.1-1.20120215git/jacorb-2.3.1-1.20120215git.fc17.src.rpm
Description: The Java implementation of the OMG's CORBA standard
Fedora Account System Username: goldmann

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4435429

Comment 1 Matt Spaulding 2012-08-30 02:06:32 UTC
Hi Marek,

There's a few issues I've listed at the bottom that should be addressed.


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2 or later)", "LGPL (v2 or later) (with incorrect FSF address)"
[-]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[!]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Patch0 (0001-Implement-a-few-methods-in-GSSUPContextSpi-to-
     make-i.patch) Patch1 (0002-Create-jacorb.jar-to-use-it-in-java.endorsed
     .dirs-pa.patch) Patch2 (0003-Set-encoding-to-UTF-8-when-generating-
     javadoc.patch)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[x]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Rpmlint
-------
Checking: jacorb-2.3.1-1.20120215git.fc19.src.rpm
          jacorb-javadoc-2.3.1-1.20120215git.fc19.noarch.rpm
          jacorb-2.3.1-1.20120215git.fc19.noarch.rpm
jacorb.src: W: spelling-error %description -l en_US containse -> contains, contains e, containment
jacorb.src: W: invalid-url Source0: jacorb-20120215git5481b0.tar.xz
jacorb-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
jacorb-javadoc.noarch: E: zero-length /usr/share/javadoc/jacorb/org/omg/CORBA/class-use/TypeCode.html
jacorb.noarch: W: spelling-error %description -l en_US containse -> contains, contains e, containment
jacorb.noarch: W: no-documentation
jacorb.noarch: W: class-path-in-manifest /usr/share/java/jacorb.jar
3 packages and 0 specfiles checked; 1 errors, 6 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint jacorb
jacorb.noarch: W: spelling-error %description -l en_US containse -> contains, contains e, containment
jacorb.noarch: W: no-documentation
jacorb.noarch: W: class-path-in-manifest /usr/share/java/jacorb.jar
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Issues:

1. License file exists under "doc" directory along with other documentation files. These need to be added to the package in %doc section.

2. This does not appear to be the latest version of the package available. I'm assuming that this version is needed for compatibility with another package. If that's not the case, please package the newer version.

3. Patches should be prefixed with %{name}. This isn't a big deal, but fix if you can.

4. Minor typo in the %description section. "containse" should be "contains".

5. RPMLint is warning of class-path-in-manifest in the jar file.

6. The README specifies that the jar can be built with "ant -Ddebug=off all doc" to avoid building in debug mode. This should probably be done. I assume there is no need for debug mode since Java does not generate a debuginfo package.

Comment 2 Matt Spaulding 2012-08-30 05:24:58 UTC
> 
> 6. The README specifies that the jar can be built with "ant -Ddebug=off all
> doc" to avoid building in debug mode. This should probably be done. I assume
> there is no need for debug mode since Java does not generate a debuginfo
> package.

So after getting some opinions on this it seems that building in debug mode should be fine, if not preferred. You can ignore this one :)

Comment 3 Marek Goldmann 2012-08-30 08:23:53 UTC
(In reply to comment #1)

> Issues:
> 
> 1. License file exists under "doc" directory along with other documentation
> files. These need to be added to the package in %doc section.

Added! Totally forgot about this one.

> 2. This does not appear to be the latest version of the package available.
> I'm assuming that this version is needed for compatibility with another
> package. If that's not the case, please package the newer version.

You're correct this is a special version required by JBoss AS. I hope to remove the dependency on Jacorb in the future. But it'll take some time.

> 3. Patches should be prefixed with %{name}. This isn't a big deal, but fix
> if you can.

I explained it in another review, but I'm happy to do this once again:

1. These patches are generated by git and git prefixes them with the numbers.
2. These numbers let you know which patches should be applied first.
3. Numbering in front makes it easy to understand the patch order when looking at the sources directory.
4. Every patch is put in Fedora in a repository of a special name (in this case 'jacorb'), there is no need to duplicate the name in patches.

Hope this makes my POV more clear. I would like to stick with the numbering.

> 4. Minor typo in the %description section. "containse" should be "contains".

Fixed!

> 5. RPMLint is warning of class-path-in-manifest in the jar file.

Fixed!
 
> 6. The README specifies that the jar can be built with "ant -Ddebug=off all
> doc" to avoid building in debug mode. This should probably be done. I assume
> there is no need for debug mode since Java does not generate a debuginfo
> package.

Skipped, as per comment #2.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4436898

Spec URL: http://goldmann.fedorapeople.org/package_review/jacorb/2.3.1-2.20120215git/jacorb.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/jacorb/2.3.1-2.20120215git/jacorb-2.3.1-2.20120215git.fc17.src.rpm

Thanks!

Comment 4 Matt Spaulding 2012-08-30 20:56:38 UTC
Ok, everything looks good to me.

APPROVED!

Comment 5 Marek Goldmann 2012-08-30 21:41:30 UTC
Thanks for review!

New Package SCM Request
=======================
Package Name:      jacorb
Short Description: The Java implementation of the OMG's CORBA standard
Owners:            goldmann
Branches:          f17 f18

Comment 6 Gwyn Ciesla 2012-08-31 01:19:27 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2012-08-31 10:29:46 UTC
jacorb-2.3.1-3.20120215git.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jacorb-2.3.1-3.20120215git.fc17

Comment 8 Fedora Update System 2012-08-31 10:30:03 UTC
jacorb-2.3.1-3.20120215git.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/jacorb-2.3.1-3.20120215git.fc18

Comment 9 Fedora Update System 2012-08-31 16:02:26 UTC
jacorb-2.3.1-3.20120215git.fc18 has been pushed to the Fedora 18 testing repository.

Comment 10 Fedora Update System 2012-09-01 08:28:15 UTC
jboss-rmi-1.0-api-1.0.4-5.fc17,jboss-jts-4.16.2-8.fc17,jacorb-2.3.1-3.20120215git.fc17,jboss-as-7.1.1-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-rmi-1.0-api-1.0.4-5.fc17,jboss-jts-4.16.2-8.fc17,jacorb-2.3.1-3.20120215git.fc17,jboss-as-7.1.1-8.fc17

Comment 11 Fedora Update System 2012-09-01 08:28:41 UTC
jboss-rmi-1.0-api-1.0.4-5.fc18,jboss-jts-4.16.2-8.fc18,jacorb-2.3.1-3.20120215git.fc18,jboss-as-7.1.1-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/jboss-rmi-1.0-api-1.0.4-5.fc18,jboss-jts-4.16.2-8.fc18,jacorb-2.3.1-3.20120215git.fc18,jboss-as-7.1.1-8.fc18

Comment 12 Fedora Update System 2012-09-17 17:25:39 UTC
jboss-rmi-1.0-api-1.0.4-5.fc17, jboss-jts-4.16.2-8.fc17, jacorb-2.3.1-3.20120215git.fc17, jboss-as-7.1.1-8.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2012-09-17 22:12:17 UTC
jboss-rmi-1.0-api-1.0.4-5.fc18, jboss-jts-4.16.2-8.fc18, jacorb-2.3.1-3.20120215git.fc18, jboss-as-7.1.1-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.